/* ------------------------------------------------------------------ 

	Title: 
		LMDiffFilters

	Description: 
		A set of digital signal filters

	Author :
		Stephen Wardlaw, M.D.
		Yale University School of Medicine
		20 York St.
		New Haven, CT  06504

	Edit History:		
		11 March, 1995
			Created
------------------------------------------------------------------ */ 

#pragma once


class LMDiffFilters {

	public:
		LMDiffFilters();
	
	virtual
		~LMDiffFilters();
		
	// This filter differentiates the data, where x[n] = x[n - span/2] - x[n + span/2]
	// 'span' is forced to an even number
	
	void
		Differentiate(double* dArray, int aryLen, int span);
		
	void
		Differentiate(short* dArray, int aryLen, int span);
		
	void
		Differentiate(const double* const sourceArray, 
						  double* destArray,
						  int aryLen, int span);
		
	void
		Differentiate(unsigned short* const sourceArray, 
						  double* destArray,
						  int aryLen, int span);
		
	};